Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# IORTable::Table Class Reference

`#include <IORTableC.h>`

Inheritance diagram for IORTable::Table:

[legend]
Collaboration diagram for IORTable::Table:

[legend]
List of all members.

## Public Types
typedef Table_ptr | _ptr_type
typedef Table_var | _var_type
## Public Methods
virtual void | bind (const char *object_key, const char *IOR ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IORTable::AlreadyBound )
virtual void | rebind (const char *object_key, const char *IOR ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | unbind (const char *object_key ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , IORTable::NotFound )
virtual void | set_locator (IORTable::Locator_ptr the_locator ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
Table_ptr | _duplicate (Table_ptr obj)
Table_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
Table_ptr | _nil (void)
## Protected Methods
| Table (void)
virtual | ~Table (void)
## Private Methods
| Table (const Table &)
void | operator= (const Table &)

## Member Typedef Documentation

typedef Table_ptr IORTable::Table::_ptr_type

| Reimplemented from CORBA::Object.

typedef Table_var IORTable::Table::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

IORTable::Table::Table | ( | void |  | ) | `[protected]`

IORTable::Table::~Table | ( | void |  | ) | `[protected, virtual]`

IORTable::Table::Table | ( | const Table & |  | ) | `[private]`

## Member Function Documentation

IORTable::Table_ptr IORTable::Table::_duplicate | ( | Table_ptr | obj | ) | `[static]`

const char * IORTable::Table::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean IORTable::Table::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

Table_ptr IORTable::Table::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object.

Table_ptr IORTable::Table::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

virtual void IORTable::Table::bind | ( | const char * | object_key,
|  | const char *IOR | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException , IORTable::AlreadyBound )`[pure virtual]`

| Implemented in TAO_IOR_Table_Impl.

CORBA::Boolean IORTable::Table::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

void IORTable::Table::operator= | ( | const Table & |  | ) | `[private]`

virtual void IORTable::Table::rebind | ( | const char * | object_key,
|  | const char *IOR | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_IOR_Table_Impl.

virtual void IORTable::Table::set_locator | ( | IORTable::Locator_ptr the_locator | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_IOR_Table_Impl.

virtual void IORTable::Table::unbind | ( | const char *object_key | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , IORTable::NotFound )`[pure virtual]`

| Implemented in TAO_IOR_Table_Impl.

The documentation for this class was generated from the following files:

- IORTableC.h
- IORTableC.cpp